"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountType = exports.SubAccountMargining = exports.ProductsType = exports.SettlementType = exports.MarketType = exports.WhitelistStatus = exports.ClearingType = exports.FuturesOrdersAccountAction = exports.ClearingAction = exports.SubAccountAction = exports.AccountAction = exports.SelfTradeBehavior = exports.Side = exports.DerivativeOrderType = exports.OrderType = exports.OperatingStatus = void 0;
class OperatingStatus {
}
exports.OperatingStatus = OperatingStatus;
OperatingStatus.Active = { active: {} };
OperatingStatus.ReduceOnly = { reduceOnly: {} };
OperatingStatus.CancelOnly = { cancelOnly: {} };
OperatingStatus.Halted = { halted: {} };
class OrderType {
}
exports.OrderType = OrderType;
OrderType.Limit = { limit: {} };
OrderType.ImmediateOrCancel = { immediateOrCancel: {} };
OrderType.PostOnly = { postOnly: {} };
class DerivativeOrderType {
}
exports.DerivativeOrderType = DerivativeOrderType;
DerivativeOrderType.Limit = { limit: {} };
DerivativeOrderType.ImmediateOrCancel = { immediateOrCancel: {} };
DerivativeOrderType.FillOrKill = { fillOrKill: {} };
DerivativeOrderType.PostOnly = { postOnly: {} };
class Side {
}
exports.Side = Side;
Side.Bid = { bid: {} };
Side.Ask = { ask: {} };
class SelfTradeBehavior {
}
exports.SelfTradeBehavior = SelfTradeBehavior;
SelfTradeBehavior.DecrementTake = { decrementTake: {} };
SelfTradeBehavior.AbortTransaction = { abortTransaction: {} };
SelfTradeBehavior.CancelProvide = { cancelProvide: {} };
class AccountAction {
}
exports.AccountAction = AccountAction;
AccountAction.Create = { create: {} };
AccountAction.Close = { close: {} };
AccountAction.SetDelegate = { setDelegate: {} };
class SubAccountAction {
}
exports.SubAccountAction = SubAccountAction;
SubAccountAction.Create = { create: {} };
SubAccountAction.Close = { close: {} };
SubAccountAction.ChangeMarginingType = { changeMarginingType: {} };
class ClearingAction {
}
exports.ClearingAction = ClearingAction;
ClearingAction.Create = { create: {} };
ClearingAction.Close = { close: {} };
ClearingAction.SweepFee = { sweepFee: {} };
class FuturesOrdersAccountAction {
}
exports.FuturesOrdersAccountAction = FuturesOrdersAccountAction;
FuturesOrdersAccountAction.Create = { create: {} };
FuturesOrdersAccountAction.Close = { close: {} };
class ClearingType {
}
exports.ClearingType = ClearingType;
ClearingType.Public = { public: {} };
ClearingType.Private = { private: {} };
class WhitelistStatus {
}
exports.WhitelistStatus = WhitelistStatus;
WhitelistStatus.Pending = { pending: {} };
WhitelistStatus.Active = { active: {} };
WhitelistStatus.Revoked = { revoked: {} };
class MarketType {
}
exports.MarketType = MarketType;
MarketType.Default = { default: {} };
MarketType.PairFuture = { pairFuture: {} };
MarketType.PerpetualFuture = { perpetualFuture: {} };
MarketType.PreIDO = { PreIDO: {} };
MarketType.IndexFuture = { indexFuture: {} };
class SettlementType {
}
exports.SettlementType = SettlementType;
SettlementType.CashSettled = { cashSettled: {} };
SettlementType.PhysicalDelivery = { physicalDelivery: {} };
class ProductsType {
}
exports.ProductsType = ProductsType;
ProductsType.Pyth = { pyth: {} };
ProductsType.Switchboard = { switchboard: {} };
class SubAccountMargining {
}
exports.SubAccountMargining = SubAccountMargining;
SubAccountMargining.Cross = { cross: {} };
SubAccountMargining.Isolated = { isolated: {} };
class AccountType {
}
exports.AccountType = AccountType;
AccountType.Regular = { regulard: {} };
AccountType.Whitelisted = { whitelisted: {} };
//# sourceMappingURL=on-chain.js.map