"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SpotPosition = void 0;
const anchor_1 = require("@project-serum/anchor");
class SpotPosition {
    constructor(state) {
        this.state = state;
    }
    totalDeposits(cache) {
        if (this.state.position.isNeg())
            return new anchor_1.BN(0);
        return this.state.position.mul(cache.depositIndex);
    }
    totalBorrows(cache) {
        if (this.state.position.isNeg())
            return this.state.position.mul(cache.borrowIndex);
        return new anchor_1.BN(0);
    }
}
exports.SpotPosition = SpotPosition;
//# sourceMappingURL=spotPosition.js.map